- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
WP42Part Class Referenceabstract

`#include <WP42Part.h>`

Inheritance diagram for WP42Part:

## Public Member Functions
virtual | ~WP42Part ()
virtual void | parse (WP42Listener *listener)=0

## Static Public Member Functions
static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)

## Constructor & Destructor Documentation

virtual WP42Part::~WP42Part | ( |  | ) |
| inline virtual

## Member Function Documentation

WP42Part * WP42Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | readVal
| ) |  |
| static

Referenced by WP42Parser::parseDocument().

virtual void WP42Part::parse | ( | WP42Listener * | listener | ) |
| pure virtual

Implemented in WP42UnsupportedMultiByteFunctionGroup, WP42DefineColumnsGroup, WP42HeaderFooterGroup, WP42MarginResetGroup, WP42ExtendedCharacterGroup, and WP42SuppressPageCharacteristicsGroup.

Referenced by WP42Parser::parseDocument().

The documentation for this class was generated from the following files:

- WP42Part.h
- WP42Part.cpp